libzypp 17.37.10

zypp::target::Modalias::Impl Struct Reference

Modalias implementation. More...

## Public Member Functions
| Impl ()
| Ctor.
| Impl (const Impl &)=delete
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
| ~Impl ()=default
| Dtor.
bool | query (const char *cap_r) const

## Static Public Member Functions
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl.

## Public Attributes
ModaliasList | _modaliases

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const Modalias::Impl &obj)
| Stream output And maybe std::ostream & operator<< Modalias::Impl below too.

## Detailed Description

Modalias implementation.

Definition at line 118 of file Modalias.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::target::Modalias::Impl::Impl | ( |  | ) |
| inline

Ctor.

Definition at line 121 of file Modalias.cc.

## ◆ Impl() [2/3]

zypp::target::Modalias::Impl::Impl | ( | const Impl & |  | ) |
| delete

## ◆ Impl() [3/3]

zypp::target::Modalias::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ ~Impl()

zypp::target::Modalias::Impl::~Impl | ( |  | ) |
| default

Dtor.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::target::Modalias::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::target::Modalias::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ query()

bool zypp::target::Modalias::Impl::query | ( | const char * | cap_r | ) | const
| inline

Definition at line 174 of file Modalias.cc.

## ◆ nullimpl()

shared_ptr< Impl > zypp::target::Modalias::Impl::nullimpl | ( |  | ) |
| inline static

Offer default Impl.

Definition at line 192 of file Modalias.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const Modalias::Impl & | obj )
| related

Stream output And maybe std::ostream & operator<< Modalias::Impl below too.

return libhal version or something like that.

Definition at line 205 of file Modalias.cc.

## Member Data Documentation

## ◆ _modaliases

ModaliasList zypp::target::Modalias::Impl::_modaliases

Definition at line 188 of file Modalias.cc.

The documentation for this struct was generated from the following file:

- zypp/target/modalias/Modalias.cc